<?php
session_start();
include "procesos/funciones.php";
include "constantes.php";
include "conexion.php";

@$archivo_php=$_REQUEST['archivo_php'];
@$parametro=$_REQUEST['parametro'];
@$nombre_archivo=$_REQUEST['nombre_archivo'];
@$email_cliente=$_REQUEST['email_cliente'];
@$nombre_cliente=$_REQUEST['nombre_cliente'];
@$numero_cotizacion=$_REQUEST['numero_cotizacion'];

//echo RUTA.$archivo_php."?id=".$parametro;

$codigohtml="";
//$codigohtml = obtenerhtml("http://127.0.0.1/comercial2/cotizacion_formato.php?id=c51ce410c124a10e0db5e4b97fc2af39");
$codigohtml = obtenerhtml(RUTA.$archivo_php."?id=".$parametro);

//echo $codigohtml;
//print $codigohtml;

include("mpdf/mpdf.php");
$mpdf=new mPDF('c'); 

//$mpdf=new mPDF('c','A4','','',32,25,27,25,16,13); 


$mpdf->mirrorMargins = true;
$mpdf->SetDisplayMode('fullpage','two');
$mpdf->WriteHTML($codigohtml);

//$mpdf->Output();
$mpdf->Output("archivos_pdf/".$nombre_archivo,'F');

$archivo="archivos_pdf/".$nombre_archivo;

function comprobar_email($email) {
    return (filter_var($email, FILTER_VALIDATE_EMAIL)) ? 1 : 0;
}

//if (isset($_POST['recibir'])) {
    if (comprobar_email($email_cliente)) {
        require_once("phpmailer/class.phpmailer.php");
        $mail = new PHPMailer();
        //$mail->From = "edtledu@gmail.com";
		$mail->From = EMAIL_EMPRESA;
        $mail->FromName = NOMBRE_EMPRESA;
        $mail->Subject = "Cotización - ".$numero_cotizacion;
        $mail->Body = MENSAJE_COTIZACION;
        $mail->AddAddress($email_cliente, $nombre_cliente);
        //$archivo = 'prueba.pdf';
        $mail->AddAttachment($archivo,$archivo);
        $mail->Send();
        //echo '<p>Se ha enviado correctamente el email a '.$_POST['email'].'!</p>';
		
		$parametro2 = md5($parametro);
		
		$r_situacion=mysqli_query($conexion,"UPDATE cotizaciones SET cot_situacion=1 WHERE md5(md5(cot_codi))='$parametro2';");
		
		
		?>
		<script language="javascript">		
		alert("El email se ha enviado correctamente.");
		</script>		
		<?php						
		
    }
    else {
        //echo '<p>El email introducido no es correcto!</p>';		
		?>
		<script language="javascript">		
		alert("El email del cliente no es correcto!");
		</script>		
		<?php				
		
    }
//}

exit;

?>